Skip to main content
GET
List course quizzes

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

title
string
section
string
section[]
string[]
status
string
status[]
string[]
order[position]
enum<string>
default:asc
Available options:
asc,
desc
order[dateCreated]
enum<string>
default:asc
Available options:
asc,
desc

Response

CourseQuiz collection

id
integer
read-only
uuid
string | null
section
string<iri-reference>
Example:

"/api/v1/course_sections/1"

title
string
description
string | null
passingGrade
integer | null
default:80
enforcePassingGrade
boolean | null
default:false
timeLimit
integer | null
status
string | null
default:draft
position
integer | null
default:0
dateCreated
string<date-time>
totalPoints
integer
read-only
questionsCount
integer
read-only